summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2019-04-17 21:12:10 +0200
committerMichał Górny <mgorny@gentoo.org>2019-04-17 22:09:43 +0200
commit112c42288ce17ab88cda22bd8db49528ff73432a (patch)
tree4d1f15413ca79e427ccbf618ec00c9bec1280a3d
parentsys-devel/clang: Bump to 7.1.0 (diff)
downloadgentoo-112c42288ce17ab88cda22bd8db49528ff73432a.tar.gz
gentoo-112c42288ce17ab88cda22bd8db49528ff73432a.tar.bz2
gentoo-112c42288ce17ab88cda22bd8db49528ff73432a.zip
dev-python/clang-python: Bump to 7.1.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--dev-python/clang-python/Manifest1
-rw-r--r--dev-python/clang-python/clang-python-7.1.0.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index 2b9d7da1475..c98ba2a5243 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -2,4 +2,5 @@ DIST cfe-4.0.1.src.tar.xz 10933628 BLAKE2B bc1bb8875e83ccecd446a48cfa41f5c98a09d
DIST cfe-5.0.2.src.tar.xz 11459216 BLAKE2B 80d9b2ab70b00c0dfd5c5386a44e0c15d8252e6175c9da55a0519c4f9b8192e32e215110d7d3808225786e2c7f906f2dfbe11dd09bdf21574e99709ae237ed0b SHA512 9931afceb5569ad6caec85d506180c810f7fea94af8c997143b0a37cbf413fcea0d92520478610627eeee1efb65fde684066ace0dfcbbf7b61ecd709d22dd0b1
DIST cfe-6.0.1.src.tar.xz 11905772 BLAKE2B abb60e9f9827d1d8a24f0aaf8a1d1e32979293cc401258d230f93290e633645747fd0344af189ac7081b06be2cada503364e1e432b37110ade4b3578e40c7605 SHA512 f64ba9290059f6e36fee41c8f32bf483609d31c291fcd2f77d41fecfdf3c8233a5e23b93a1c73fed03683823bd6e72757ed993dd32527de3d5f2b7a64bb031b9
DIST cfe-7.0.1.src.tar.xz 12488668 BLAKE2B b80247b5caf81661dfa715d9bf454b8023221bd27ce49b6bd8cd66f40ffe01448e40fb828fbcc64e49f059af7a7c5a95a0737b0b998454ac5c1dd39388150fa6 SHA512 df2f38153ebdc261bcfa6a569567f759bbb1a803192882a9d4eca55a47878166ac9057151a94ad341dc1281136547e4faa783a68070dfde2307b48cacd4b9194
+DIST cfe-7.1.0.src.tar.xz 12487872 BLAKE2B ca6ec9e45b94823de1dabf9e68f0c97cdd40b5d2a5e5e15d4b2393f6d7fbdee72a541b957cc22ce4cb726d8ee7190228320941d5713aeb59695673b9e9070ceb SHA512 1cd0b80f32aa4de1118c0c676ba96b1fc78b7ff929b01b6589dfe9b4669e599ac8cfb8f5a0abcd3487594193a7dec06b29530ec3fc03042c20a160f0477a79fd
DIST cfe-8.0.0.src.tar.xz 12868468 BLAKE2B 3cb96c95c4d9713feb7011e4f1ca24be3e7f6c9b458f6cd9e6905f99737312ca44cb701ed5871e47dd583145e5898d53a65c4cda6456af3d4ca31b670ed84409 SHA512 98e540222719716985e5d8439116e47469cb01201ea91d1da7e46cb6633da099688d9352c3b65e5c5f660cbbae353b3d79bb803fc66b3be663f2b04b1feed1c3
diff --git a/dev-python/clang-python/clang-python-7.1.0.ebuild b/dev-python/clang-python/clang-python-7.1.0.ebuild
new file mode 100644
index 00000000000..314fe35cdcb
--- /dev/null
+++ b/dev-python/clang-python/clang-python-7.1.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
+inherit python-r1
+
+MY_P=cfe-${PV/_/}.src
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+SRC_URI="https://releases.llvm.org/${PV/_//}/${MY_P}.tar.xz"
+
+LICENSE="UoI-NCSA"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-fbsd"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+RDEPEND="
+ >=sys-devel/clang-${PV}:*
+ !sys-devel/llvm:0[clang(-),python(-)]
+ !sys-devel/clang:0[python(-)]
+ ${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${MY_P}/bindings/python
+
+src_unpack() {
+ einfo "Unpacking parts of ${MY_P}.tar.xz ..."
+ tar -xJf "${DISTDIR}/${MY_P}.tar.xz" "${MY_P}/bindings/python" || die
+}
+
+python_test() {
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}